// SimpleScopeDlg.h : header file
//

#if !defined(AFX_SIMPLESCOPEDLG_H__9B000D07_98B4_434B_98EC_FBD40BA117DB__INCLUDED_)
#define AFX_SIMPLESCOPEDLG_H__9B000D07_98B4_434B_98EC_FBD40BA117DB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include "WUSBdrv.h"


struct DrawEquipment
{
	CDC* pDC;
	CRect cr;
	CPen BlackPen;
	CPen SilverPen;
};


/////////////////////////////////////////////////////////////////////////////
// CSimpleScopeDlg dialog

class CSimpleScopeDlg : public CDialog
{
// Construction
public:
	void ReleaseDraw();
	void PrepareDraw();
	void DrawGraph(char* buf);
	CSimpleScopeDlg(CWnd* pParent = NULL);	// standard constructor
	bool Terminate;
	DrawEquipment de;

// Dialog Data
	//{{AFX_DATA(CSimpleScopeDlg)
	enum { IDD = IDD_SIMPLESCOPE_DIALOG };
	CStatic	m_holst;
	CString	m_NumPoints;
	CString	m_freq;
	CString	m_scale;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSimpleScopeDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSimpleScopeDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnOpen();
	afx_msg void OnStartLoop();
	afx_msg void OnStopLoop();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SIMPLESCOPEDLG_H__9B000D07_98B4_434B_98EC_FBD40BA117DB__INCLUDED_)
